MediaWiki:Pagetitle-view-mainpage has no effect on main page
Closed, DeclinedPublic

Description

Author: yackushevas

Description:
The "Pagetitle-view-mainpage" is defined as "example", however the
<title> element is not currently displaying this content. Instead, it displays
the default "Main Page - SITENAME" content.


Version: 1.16.x
Severity: enhancement
OS: Linux
Platform: PC

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz24631.
bzimport created this task.Via LegacyAug 2 2010, 12:28 PM
bzimport added a comment.Via ConduitAug 2 2010, 3:29 PM

yackushevas wrote:

Tried on the version from a trunk, in different languages - the effect is not present.

Catrope added a comment.Via ConduitAug 4 2010, 11:03 AM

Have you tried making a null edit (i.e. an edit without changes) to the page?

bzimport added a comment.Via ConduitAug 4 2010, 11:28 AM

yackushevas wrote:

(In reply to comment #2)

Have you tried making a null edit (i.e. an edit without changes) to the page?

I do not quite understand.

bzimport added a comment.Via ConduitAug 4 2010, 11:36 AM

soxred93 wrote:

Follow the instructions at [[WP:NULL]] to make a null edit. Basically, you're saving a page without making any changes.

bzimport added a comment.Via ConduitAug 4 2010, 12:07 PM

yackushevas wrote:

Yes, I made a null edit + cleared the cache. It did not help

bzimport added a comment.Via ConduitAug 6 2010, 5:38 PM

yackushevas wrote:

I can I tell nonsense, but it is more to me comes to than nothing mind: there can be it because of a used database? At me PostgreSQL 8.4.4. Unfortunately to put MySQL for the test at present I can not.

bzimport added a comment.Via ConduitSep 22 2010, 12:45 PM

njansen wrote:

Have the same problem. Also since Mediawiki 1.16.0.

bzimport added a comment.Via ConduitOct 24 2010, 11:32 AM

mail wrote:

(In reply to comment #6)

I can I tell nonsense, but it is more to me comes to than nothing mind: there
can be it because of a used database? At me PostgreSQL 8.4.4. Unfortunately to
put MySQL for the test at present I can not.

I have the same problem since updating to 1.16.0 - I use MySQL 4.1.22 and PHP 5.2.12, so it is not because of using PostgreSQL.

MZMcBride added a comment.Via ConduitNov 11 2010, 8:55 PM

I'm rather convinced that this is a regression in the 1.16.0 branch. Is there a keyword to tag this bug?

MaxSem added a comment.Via ConduitNov 11 2010, 9:07 PM

Fixed on trunk with r64876. We can backport changes related to setHTMLTitle() from it.

bzimport added a comment.Via ConduitJan 11 2011, 5:47 PM

yackushevas wrote:

(In reply to comment #10)

Fixed on trunk with r64876. We can backport changes related to setHTMLTitle()
from it.

Has helped but only if to change this code location:

@@ -447,17 +447,9 @@

	/**
	 * "HTML title" means the contents of <title>.
	 * It is stored as plain, unescaped text and will be run through htmlspecialchars in the skin file.
  • * If $name is from page title, it can only override names which are also from page title,
  • * but if it is not from page title, it can override all other names. */
  • public function setHTMLTitle( $name, $frompagetitle = false ) {
  • if ( $frompagetitle && $this->mHTMLtitleFromPagetitle ) {
  • $this->mHTMLtitle = $name;
  • }
  • elseif ( $this->mHTMLtitleFromPagetitle ) {
  • $this->mHTMLtitle = $name;
  • $this->mHTMLtitleFromPagetitle = false;
  • }

+ public function setHTMLTitle( $name ) {
+ $this->mHTMLtitle = $name;

	}

If you change all file OutPage.php, I receive an error:

PHP Fatal error: Call to undefined method OutputPage::getFrameOptions() in /var/www/.../includes/Skin.php on line 416

MZMcBride added a comment.Via ConduitJan 12 2011, 6:47 PM

This isn't fixed. The changes still need to be backported.

Nemo_bis added a comment.Via ConduitJul 24 2012, 11:24 AM

1.16 no longer supported.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.